import request from '@/utils/request'

// 获取table
export function getRoleTable(data) {
  return request({
    url: '/role/index',
    method: 'get',
    params: data
  })
}

// 添加角色
export function addRole(data) {
  return request({
    url: '/role/upload',
    method: 'post',
    data
  })
}

// 删除角色
export function deleteRole(data) {
  return request({
    url: '/role/destroy',
    method: 'post',
    data
  })
}

// 修改-获取信息
export function getEditInfo(data) {
  return request({
    url: '/role/edit',
    method: 'get',
    params: data
  })
}

// 修改
export function editRole(data) {
  return request({
    url: '/role/update',
    method: 'post',
    data
  })
}
