import request from '@/utils/request'

// 添加公告
export function addNotice(data) {
  return request({
    url: '/info/addinfo',
    method: 'POST',
    data
  })
}

// 获取公告列表
export function getTable(data) {
  return request({
    url: '/info/getinfolist',
    method: 'GET',
    params: data
  })
}

// 删除
export function deleteNotice(data) {
  return request({
    url: '/info/deleteinfo',
    method: 'POST',
    data
  })
}

// 置顶
export function setTop(data) {
  return request({
    url: '/info/setinfotop',
    method: 'POST',
    data
  })
}

// 修改
export function toEdit(data) {
  return request({
    url: '/info/updateinfocontent',
    method: 'POST',
    data
  })
}
