import request from '@/utils/request'

// 获取table
export function getAdminerTable(data) {
  return request({
    url: '/admin/index',
    method: 'get',
    params: data
  })
}
// 禁用
export function disabledAdmin(data) {
  return request({
    url: '/admin/disable',
    method: 'POST',
    params: data
  })
}
// 获取角色
export function getAdminRole() {
  return request({
    url: '/admin/getroles',
    method: 'get',
    params: {}
  })
}

// 添加
export function addAdmin(data) {
  return request({
    url: '/admin/upload',
    method: 'POST',
    data
  })
}

// 修改-获取信息
export function getInfo(data) {
  return request({
    url: '/admin/edit',
    method: 'Get',
    params: data
  })
}

// 修改-获取信息
export function editAdmin(data) {
  return request({
    url: '/admin/update',
    method: 'post',
    data
  })
}

