import request from '@/utils/request'

// 获取table
export function getList(data) {
  return request({
    url: '/charge/chargelist',
    method: 'Get',
    params: data
  })
}

// 手动缴费
export function handPay(data) {
  return request({
    url: '/charge/payfee',
    method: 'POST',
    data
  })
}

// 退款
export function refund(data) {
  return request({
    url: '/refund/refund',
    method: 'POST',
    data
  })
}

// 获取退款列表
export function refundList(data) {
  return request({
    url: '/refund/refundlistinfo',
    method: 'GET',
    params:data
  })
}