import request from '@/utils/request'

// 添加团队
export function addTeam(data) {
  return request({
    url: '/teams/addteam',
    method: 'post',
    data
  })
}

// 上传图片
export function upload(data) {
  return request({
    url: '/teams/uploadimg',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

// 修改
export function reviseTeam(data) {
  return request({
    url: '/teams/editteaminfo',
    method: 'post',
    data
  })
}

